Bio::Tools::Run::StandAloneNCBIBlast(3)

NAME
Bio::Tools::Run::StandAloneNCBIBlast - Object for the local execution of the NCBI BLAST program suite (blastall, blastpgp, bl2seq). With experimental support for NCBI rpsblast.

SYNOPSIS
 # Do not use directly; see Bio::Tools::Run::StandAloneBlast

DESCRIPTION
See Bio::Tools::Run::StandAloneBlast

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.open-bio.org/

AUTHOR - Peter Schattner
Email schattner at alum.mit.edu

MAINTAINER - Torsten Seemann
Email torsten at infotech.monash.edu.au

CONTRIBUTORS
Sendu Bala bix@sendu.me.uk (reimplementation)

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $obj = Bio::Tools::Run::StandAloneBlast->new();
 Function: Builds a newBio::Tools::Run::StandAloneBlast object
 Returns : Bio::Tools::Run::StandAloneBlast
 Args    : -quiet => boolean # make program execution quiet
           -_READMETHOD => 'BLAST' (default, synonym 'SearchIO') || 'blast_pull'
                           # the parsing method, case insensitive

Essentially all BLAST parameters can be set via StandAloneBlast.pm. Some of the most commonly used parameters are listed below. All parameters have defaults and are optional except for -p in those programs that have it. For a complete listing of settable parameters, run the relevant executable BLAST program with the option "-" as in blastall - Note that the input paramters (-i, -j, -input) should not be set directly by you: this module sets them when you call one of the executable methods.

Blastall

  -p  Program Name [String]
        Input should be one of "blastp", "blastn", "blastx",
        "tblastn", or "tblastx".
  -d  Database [String] default = nr
        The database specified must first be formatted with formatdb.
        Multiple database names (bracketed by quotations) will be accepted.
        An example would be -d "nr est"
  -e  Expectation value (E) [Real] default = 10.0
  -o  BLAST report Output File [File Out]  Optional,
            default = ./blastreport.out ; set by StandAloneBlast.pm
  -S  Query strands to search against database (for blast[nx], and tblastx). 3 is both, 1 is top, 2 is bottom [Integer]
            default = 3

Blastpgp (including Psiblast)

  -j  is the maximum number of rounds (default 1; i.e., regular BLAST)
  -h  is the e-value threshold for including sequences in the
            score matrix model (default 0.001)
  -c  is the "constant" used in the pseudocount formula specified in the paper (default 10)
  -B  Multiple alignment file for PSI-BLAST "jump start mode"  Optional
  -Q  Output File for PSI-BLAST Matrix in ASCII [File Out]  Optional

rpsblast

  -d  Database [String] default = (none - you must specify a database)
        The database specified must first be formatted with formatdb.
        Multiple database names (bracketed by quotations) will be accepted.
        An example would be -d "Cog Smart"
  -e  Expectation value (E) [Real] default = 10.0
  -o  BLAST report Output File [File Out]  Optional,
            default = ./blastreport.out ; set by StandAloneBlast.pm

Bl2seq

  -p  Program name: blastp, blastn, blastx. For blastx 1st argument should be nucleotide [String]
    default = blastp
  -o  alignment output file [File Out] default = stdout
  -e  Expectation value (E) [Real]  default = 10.0
  -S  Query strands to search against database (blastn only).  3 is both, 1 is top, 2 is bottom [Integer]
    default = 3

  blastall
 Title   : blastall
 Usage   :  $blast_report = $factory->blastall('t/testquery.fa');
        or
               $input = Bio::Seq->new(-id=>"test query",
                                      -seq=>"ACTACCCTTTAAATCAGTGGGGG");
               $blast_report = $factory->blastall($input);
        or
              $seq_array_ref = \@seq_array;
         # where @seq_array is an array of Bio::Seq objects
              $blast_report = $factory->blastall($seq_array_ref);
 Returns : Reference to a Blast object containing the blast report.
 Args    : Name of a file or Bio::Seq object or an array of
           Bio::Seq object containing the query sequence(s).
           Throws an exception if argument is not either a string
           (eg a filename) or a reference to a Bio::Seq object
           (or to an array of Seq objects).  If argument is string,
           throws exception if file corresponding to string name can
           not be found.

  blastpgp
 Title   : blastpgp
 Usage   :  $blast_report = $factory-> blastpgp('t/testquery.fa');
        or
               $input = Bio::Seq->new(-id=>"test query",
                                      -seq=>"ACTADDEEQQPPTCADEEQQQVVGG");
               $blast_report = $factory->blastpgp ($input);
        or
              $seq_array_ref = \@seq_array;
         # where @seq_array is an array of Bio::Seq objects
              $blast_report = $factory-> blastpgp(\@seq_array);
 Returns : Reference to a Bio::SearchIO object containing the blast report
 Args    : Name of a file or Bio::Seq object. In psiblast jumpstart
           mode two additional arguments are required: a SimpleAlign
           object one of whose elements is the query and a "mask" to
           determine how BLAST should select scoring matrices see
           DESCRIPTION above for more details.

           Throws an exception if argument is not either a string
           (eg a filename) or a reference to a Bio::Seq object
           (or to an array of Seq objects).  If argument is string,
           throws exception if file corresponding to string name can
           not be found.
 Returns : Reference to Bio::SearchIO object containing the blast report.

  rpsblast
 Title   : rpsblast
 Usage   :  $blast_report = $factory->rpsblast('t/testquery.fa');
        or
               $input = Bio::Seq->new(-id=>"test query",
                                      -seq=>"MVVLCRADDEEQQPPTCADEEQQQVVGG");
               $blast_report = $factory->rpsblast($input);
        or
              $seq_array_ref = \@seq_array;
         # where @seq_array is an array of Bio::Seq objects
              $blast_report = $factory->rpsblast(\@seq_array);
 Args    : Name of a file or Bio::Seq object or an array of
           Bio::Seq object containing the query sequence(s).
           Throws an exception if argument is not either a string
           (eg a filename) or a reference to a Bio::Seq object
           (or to an array of Seq objects).  If argument is string,
           throws exception if file corresponding to string name can
           not be found.
 Returns : Reference to a Bio::SearchIO object containing the blast report

  bl2seq
 Title   : bl2seq
 Usage   : $factory-> bl2seq('t/seq1.fa', 't/seq2.fa');
        or
          $input1 = Bio::Seq->new(-id=>"test query1",
                                  -seq=>"ACTADDEEQQPPTCADEEQQQVVGG");
          $input2 = Bio::Seq->new(-id=>"test query2",
                                  -seq=>"ACTADDEMMMMMMMDEEQQQVVGG");
          $blast_report = $factory->bl2seq ($input1,  $input2);
 Returns : Reference to a BPbl2seq object containing the blast report.
 Args    : Names of 2 files  or 2 Bio::Seq objects containing the
           sequences to be aligned by bl2seq.

           Throws an exception if argument is not either a pair of
           strings (eg filenames) or references to Bio::Seq objects.
           If arguments are strings, throws exception if files
           corresponding to string names can not be found.

  _generic_local_blast
 Title   : _generic_local_blast
 Usage   : internal function not called directly
 Returns : Bio::SearchIO
 Args    : Reference to calling object and name of BLAST executable

  _runblast
 Title   :  _runblast
 Usage   :  Internal function, not to be called directly
 Function:   makes actual system call to Blast program
 Example :
 Returns : Report Bio::SearchIO object in the appropriate format
 Args    : Reference to calling object, name of BLAST executable,
           and parameter string for executable

  _setparams
 Title   : _setparams
 Usage   : Internal function, not to be called directly
 Function: Create parameter inputs for Blast program
 Example :
 Returns : parameter string to be passed to Blast
 Args    : Reference to calling object and name of BLAST executable